package com.fs.sop.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.sop.domain.SopOrderLog;

/**
 * 订单SOP任务日志Service接口
 * 
 * @author fs
 * @date 2025-12-26
 */
public interface ISopOrderLogService extends IService<SopOrderLog>{
    /**
     * 查询订单SOP任务日志
     * 
     * @param id 订单SOP任务日志主键
     * @return 订单SOP任务日志
     */
    SopOrderLog selectSopOrderLogById(Long id);

    /**
     * 查询订单SOP任务日志列表
     * 
     * @param sopOrderLog 订单SOP任务日志
     * @return 订单SOP任务日志集合
     */
    List<SopOrderLog> selectSopOrderLogList(SopOrderLog sopOrderLog);

    /**
     * 新增订单SOP任务日志
     * 
     * @param sopOrderLog 订单SOP任务日志
     * @return 结果
     */
    int insertSopOrderLog(SopOrderLog sopOrderLog);

    /**
     * 修改订单SOP任务日志
     * 
     * @param sopOrderLog 订单SOP任务日志
     * @return 结果
     */
    int updateSopOrderLog(SopOrderLog sopOrderLog);

    /**
     * 批量删除订单SOP任务日志
     * 
     * @param ids 需要删除的订单SOP任务日志主键集合
     * @return 结果
     */
    int deleteSopOrderLogByIds(Long[] ids);

    /**
     * 删除订单SOP任务日志信息
     * 
     * @param id 订单SOP任务日志主键
     * @return 结果
     */
    int deleteSopOrderLogById(Long id);
}
